Subject: bug#52910: closed (Re: [bug#52910] [PATCH] gnu: krita: Fix build.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 02 Jan 2022 02:22:02 +0000

Your bug report

#52910: [PATCH] gnu: krita: Fix build.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52910: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52910
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#52910] [PATCH] gnu: krita: Fix build.
From: Leo Famulari <[email-masked]>
To: Vinicius Monego <[email-masked]>
Cc: [email-masked]
Date: Sat, 1 Jan 2022 21:21:36 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Dec 31, 2021 at 11:43:26PM +0000, Vinicius Monego wrote:
> I did try to fix it by setting "PYQT_SIP_DIR_OVERRIDE" [1] to point to
> the correct sip dir (see the veusz package for instance), but CMake
> ignored that variable when I set it.
> 
> The problem is that Krita in my machine takes 4 to 5 hours to reach
> 67%, where it fails, to test if it works or not. In the CI, Krita takes
> as many minutes to fail at 67% as Blender takes to fully build.
> 
> The functionality was also never "enabled" because the build failed
> before it could be used.

Okay. I added the context to the commit message and pushed as
2c6dfeac6459901b500a81a1d733a48993792a11

Subject: [PATCH] gnu: krita: Fix build.
From: Vinicius Monego <[email-masked]>
To: [email-masked]
Cc: Vinicius Monego <[email-masked]>
Date: Fri, 31 Dec 2021 01:06:32 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/kde.scm (krita)[inputs]: Remove python, python-pyqt,
python-sip.
---
 gnu/packages/kde.scm | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/gnu/packages/kde.scm b/gnu/packages/kde.scm
index 8531e8683e..dfd4cd197c 100644
--- a/gnu/packages/kde.scm
+++ b/gnu/packages/kde.scm
@@ -533,9 +533,6 @@ expression library, that is used in Krita.")
            openjpeg
            perl
            poppler-qt5
-           python
-           python-pyqt
-           python-sip
            qtbase-5
            qtdeclarative
            qtmultimedia

base-commit: 04c7220bc11756e638f931370f539005177afab9
-- 
2.30.2